import numpy as np
import numpy.linalg as linalg
import math
import sys

n = len( sys.argv )
if n !=  4 :
	print("Args: cx cy cz")
	sys.exit(1)

cx = float( sys.argv[1] )
cy = float( sys.argv[2] )
cz = float( sys.argv[3] )

# El círculo unitario
C = np.eye( 3 )
C[2,2] = -1.0

K = np.array( [ [1000.0, 0.0, -320.0], [0.0, 1000.0, -240.0], [0.0, 0.0, -1.0]] )

R = np.fromfile("R.bin")

R = R.reshape((3,3))

M = np.eye( 3 )
M[0,2] = -cx
M[1,2] = -cy
M[2,2] = -cz

H = K @ R @ M

Hinv = linalg.inv(H)

C2 = Hinv.T @ C @ Hinv
print( C2 )
C2.tofile( "C.bin" )
